/*
 * bitmacros.h
 *
 *  Created on: 13-01-2012
 *      Author: Andrzej Michalec
 */

#ifndef BITMACROS_H_
#define BITMACROS_H_

#define BIT(x) (1 << (x))
#define SET_MASK(x,y) ((x) |= (y))
#define CLEAR_MASK(x,y) ((x) &= (~(y)))
#define FLIP_MASK(x,y) ((x) ^= (y))
#define SET_BIT(x,y) SET_MASK((x), (BIT((y))))
#define CLEAR_BIT(x,y) CLEAR_MASK((x), (BIT((y))))
#define FLIP_BIT(x,y) FLIP_MASK((x), (BIT((y))))
#define IS_BIT_SET(x,y) ((x) & (BIT(y)))
#define IS_BIT_CLEARED(x,y) !IS_BIT_SET((x), (y))
#define IS_MASK_SET(x,y) (((x) & (y)) == (y))
#define IS_MASK_CLEARED(x,y) (((x) & (y)) == 0)
#define BITVAL(x,y) (((x)>>(y)) & 1)

#endif /* BITMACROS_H_ */
