/*
 * effects.h
 *
 *  Created on: 21-01-2012
 *      Author: Andrzej Michalec (amichalec.net)
 */

#ifndef EFFECTS_H_
#define EFFECTS_H_

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Run shining effect for number of seconds (0 seconds for infinite).
 */
extern void run_shine_effect(uint8_t seconds, uint8_t lights_at_once);

/**
 * Radial pulses going from center outside.
 * Replay sequence for number of seconds (0 seconds for infinite).
 */
extern void run_pulse_star_effect(uint8_t seconds);

/**
 * Run shining effect for number of seconds (0 seconds for infinite).
 */
extern void run_rainbow_effect(uint8_t seconds);

/**
 * Run spinning enlighted arm effect for number of seconds (0 seconds for infinite).
 */
extern void run_windmill_effect(uint8_t seconds);

/**
 * Run light points on 3 diagonal lines, as electrons in atom. Effect runs for a
 * number of seconds (0 seconds for infinite).
 */
extern void run_atom_effect(uint8_t seconds);

extern void run_rgb_test();

#ifdef __cplusplus
}
#endif

#endif /* EFFECTS_H_ */
